mahout-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff Eastman <j...@windwardsolutions.com>
Subject Re: invalid target on mvn install
Date Thu, 16 Apr 2009 23:24:18 GMT
Mahout requires JDK 1.6. The second to last line in your note holds the 
clue.

Jeff


Kevin Osborn wrote:
> It sounds like I may have some problem in my environment, but I can't seem to find anything.
>
> JAVA_HOME is set to my JDK 1.5.
>
> But when I run mvn install, I get the following error:
>
> [INFO] [install:install-file {execution: create-commons-cli}]
> [INFO] Installing /home/maude/osbornk/TechTime/Mahout/lucene/mahout/trunk/core/lib/commons-cli-2.0-mahout.jar
to /home/maude/osbornk/.m2/repository/org/apache/mahout/commons/commons-cli/2.0-mahout/commons-cli-2.0-mahout.jar
> [INFO] Creating Checksums...
> [INFO] Creating Checksums...
> [INFO] [resources:resources]
> [INFO] Using 'UTF-8' encoding to copy filtered resources.
> [INFO] Copying 0 resource
> [INFO] [resources:copy-resources {execution: copy-resources}]
> [INFO] Using 'UTF-8' encoding to copy filtered resources.
> [INFO] Copying 3 resources
> [INFO] [compiler:compile]
> [INFO] Compiling 270 source files to /home/maude/osbornk/TechTime/Mahout/lucene/mahout/trunk/core/target/classes
> [INFO] ------------------------------------------------------------------------
> [ERROR] BUILD FAILURE
> [INFO] ------------------------------------------------------------------------
> [INFO] Compilation failure
> Failure executing javac, but could not parse the error:
> javac: invalid target release: 1.6
> Usage: javac <options> <source files>
> where possible options include:
> ...
>
> Any ideas?
>
>
>
>       
>   


Mime
View raw message